Debian Bug report logs - #463050
qa.debian.org: please list packages in mentors.d.n in TODO section

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Paul Wise <pabs@debian.org>

Date: Tue, 29 Jan 2008 04:48:07 UTC

Severity: wishlist

Fixed in version 1933

Done: Stefano Zacchiroli <zack@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Tue, 29 Jan 2008 13:46:28 +0900
[Message part 1 (text/plain, inline)]
Package: qa.debian.org
Severity: wishlist

I would like to see the PTS list packages on mentors.debian.net in the
TODO section, with something like this:

Sponsor version 1.2.3-4[1] from Debian contributor John Doe <foo@bar.com>

[1] here is the URL to the dsc on mentors.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 463050@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Paul Wise <pabs@debian.org>, 463050@bugs.debian.org
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Tue, 29 Jan 2008 16:48:29 +0100
[Message part 1 (text/plain, inline)]
user qa.debian.org@packages.debian.org
usertag 463050 + pts
thanks

On Tue, Jan 29, 2008 at 01:46:28PM +0900, Paul Wise wrote:
> I would like to see the PTS list packages on mentors.debian.net in the
> TODO section, with something like this:
> 
> Sponsor version 1.2.3-4[1] from Debian contributor John Doe <foo@bar.com>

Just to better understand your feature request, here is how I understood
it in a more schematic way:
- for each source package which is in the official Debian archive (since
  it might well be that a package on mentors.d.n is not in the official
  archive)
  - if there is a version to be sponsored on mentors.d.n that is greater
    than the latest available in (what? unstable? experimental? latest?)
  - then show the TODO item about sponsoring

Is this correct?

Is there any Sources file available which corresponds to the mentors.d.n
archive?

Cheers.

-- 
Stefano Zacchiroli -*- PhD in Computer Science ............... now what?
zack@{upsilon.cc,cs.unibo.it,debian.org}  -<%>-  http://upsilon.cc/zack/
(15:56:48)  Zack: e la demo dema ?    /\    All one has to do is hit the
(15:57:15)  Bac: no, la demo scema    \/    right keys at the right time
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs3@bonedaddy.net>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 463050@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs3@bonedaddy.net>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 463050 <463050@bugs.debian.org>
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Wed, 30 Jan 2008 08:43:11 +0900
[Message part 1 (text/plain, inline)]
On Wed, 2008-01-30 at 08:39 +0900, Paul Wise wrote:
> On Tue, 2008-01-29 at 16:48 +0100, Stefano Zacchiroli wrote:
>
> >   - if there is a version to be sponsored on mentors.d.n that is greater
> >     than the latest available in (what? unstable? experimental? latest?)
>
> > Is this correct?
> 
> Perfect. Latest available in sid or experimental IMO.

Actually, any version on mentors, since mentors tracks the archive and
deletes packages that have been uploaded to the official archive.

-- 
bye,
pabs

http://pabs.zip.to
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 463050@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 463050@bugs.debian.org, support@mentors.debian.net
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Wed, 30 Jan 2008 08:37:38 +0900
[Message part 1 (text/plain, inline)]
On Tue, 2008-01-29 at 16:48 +0100, Stefano Zacchiroli wrote:
> user qa.debian.org@packages.debian.org
> usertag 463050 + pts
> thanks
> 
> On Tue, Jan 29, 2008 at 01:46:28PM +0900, Paul Wise wrote:
> > I would like to see the PTS list packages on mentors.debian.net in the
> > TODO section, with something like this:
> > 
> > Sponsor version 1.2.3-4[1] from Debian contributor John Doe <foo@bar.com>
> 
> Just to better understand your feature request, here is how I understood
> it in a more schematic way:
> - for each source package which is in the official Debian archive (since
>   it might well be that a package on mentors.d.n is not in the official
>   archive)
>   - if there is a version to be sponsored on mentors.d.n that is greater
>     than the latest available in (what? unstable? experimental? latest?)
>   - then show the TODO item about sponsoring
> 
> Is this correct?

Perfect. Latest available in sid or experimental IMO.

> Is there any Sources file available which corresponds to the mentors.d.n
> archive?

I'm not sure. CCing the mentors folks to find out.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Message #23 received at 463050@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: Paul Wise <pabs@debian.org>, 463050@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>, support@mentors.debian.net
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Wed, 30 Jan 2008 10:03:06 +0530
[Message part 1 (text/plain, inline)]
> On Tue, 2008-01-29 at 16:48 +0100, Stefano Zacchiroli wrote:
> > Is there any Sources file available which corresponds to the mentors.d.n
> > archive?

http://mentors.debian.net/debian/dists/unstable/{main,contrib,non-free}/source/Sources.gz

Giridhar

-- 
Y Giridhar Appaji Nag | http://www.appaji.net/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 463050@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Paul Wise <pabs3@bonedaddy.net>
Cc: 463050@bugs.debian.org
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Fri, 8 Aug 2008 12:10:34 -0300
On Wed, Jan 30, 2008 at 08:43:11AM +0900, Paul Wise wrote:
> > Perfect. Latest available in sid or experimental IMO.
> 
> Actually, any version on mentors, since mentors tracks the archive and
> deletes packages that have been uploaded to the official archive.

I need a clarification on this: does mentors get rid of packages which
were on mentors and get uploaded with the _same_ version in the official
archive, or it rather gets rid of any packages on mentors which get
superseded in the official archive via an upload of version greater or
equal than what were on mentors?

The latter case would be simpler, as I can avoid completely doing
version comparisons in the PTS, and simply output the TODO item if a
version (whatever it might be) is available on mentors.d.n.

Let me know, TIA,
Cheers.

-- 
Stefano Zacchiroli -*- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
I'm still an SGML person,this newfangled /\ All one has to do is hit the
XML stuff is so ... simplistic  -- Manoj \/ right keys at the right time




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 463050@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 463050@bugs.debian.org, Christoph Haas <haas@debian.org>
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Fri, 08 Aug 2008 15:23:24 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2008-08-08 at 12:10 -0300, Stefano Zacchiroli wrote:
> On Wed, Jan 30, 2008 at 08:43:11AM +0900, Paul Wise wrote:
> > > Perfect. Latest available in sid or experimental IMO.
> > 
> > Actually, any version on mentors, since mentors tracks the archive and
> > deletes packages that have been uploaded to the official archive.
> 
> I need a clarification on this: does mentors get rid of packages which
> were on mentors and get uploaded with the _same_ version in the official
> archive, or it rather gets rid of any packages on mentors which get
> superseded in the official archive via an upload of version greater or
> equal than what were on mentors?
> 
> The latter case would be simpler, as I can avoid completely doing
> version comparisons in the PTS, and simply output the TODO item if a
> version (whatever it might be) is available on mentors.d.n.

Not entirely sure, I believe it is the latter though. CCing Signum, who
can provide a definitive answer on this. Also, the mentors code will be
changing at some point when debexpo gets deployed (currently in
development by a GSoC student).

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stefano Zacchiroli <zack@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 463050-done@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 463050-done@bugs.debian.org
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Fri, 8 Aug 2008 14:22:38 -0300
On Tue, Jan 29, 2008 at 01:46:28PM +0900, Paul Wise wrote:
> I would like to see the PTS list packages on mentors.debian.net in the
> TODO section, with something like this:
> 
> Sponsor version 1.2.3-4[1] from Debian contributor John Doe <foo@bar.com>

This is now done, under the assumption that all packages available on
mentors.d.n are worth showing a TODO item. /me waits for further info on
that in case it needs to be changes.

Also, please note that a message like the above can not currently be
fully implemented, as the information about who uploaded the package to
mentors.d.n is not available to the PTS, or at least not via the
mentors.d.n Sources which I'm currently using.

So, what is implemented is now something like:

  mentors.debian.net has version 2.6.7-42.1 of this package, you should
  consider sponsoring its upload

with hyperlink on "version x.y.z" pointing to URLs like
http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=bla

Cheers.

-- 
Stefano Zacchiroli -*- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
I'm still an SGML person,this newfangled /\ All one has to do is hit the
XML stuff is so ... simplistic  -- Manoj \/ right keys at the right time




Reply sent to Stefano Zacchiroli <zack@alioth.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 463050-done@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@alioth.debian.org>
To: 463050-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 1933
Date: Fri, 08 Aug 2008 17:19:52 +0000
Version: 1933

This bug was closed by Stefano Zacchiroli (zack) in SVN revision 1933.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

add support for displaying pending mentors.d.n upload sponsorhips as TODO items
(Closes: #463050)






Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#463050; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Christoph Haas <haas@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #48 received at 463050@bugs.debian.org (full text, mbox):

From: Christoph Haas <haas@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: Stefano Zacchiroli <zack@debian.org>, 463050@bugs.debian.org
Subject: Re: Bug#463050: qa.debian.org: please list packages in mentors.d.n in TODO section
Date: Fri, 8 Aug 2008 21:49:23 +0200
[Message part 1 (text/plain, inline)]
On Freitag, 8. August 2008, Paul Wise wrote:
> On Fri, 2008-08-08 at 12:10 -0300, Stefano Zacchiroli wrote:
> > On Wed, Jan 30, 2008 at 08:43:11AM +0900, Paul Wise wrote:
> > > > Perfect. Latest available in sid or experimental IMO.
> > >
> > > Actually, any version on mentors, since mentors tracks the archive
> > > and deletes packages that have been uploaded to the official
> > > archive.
> >
> > I need a clarification on this: does mentors get rid of packages which
> > were on mentors and get uploaded with the _same_ version in the
> > official archive, or it rather gets rid of any packages on mentors
> > which get superseded in the official archive via an upload of version
> > greater or equal than what were on mentors?
> >
> > The latter case would be simpler, as I can avoid completely doing
> > version comparisons in the PTS, and simply output the TODO item if a
> > version (whatever it might be) is available on mentors.d.n.
>
> Not entirely sure, I believe it is the latter though. CCing Signum, who
> can provide a definitive answer on this. Also, the mentors code will be
> changing at some point when debexpo gets deployed (currently in
> development by a GSoC student).

Currently mentors just removes packages automatically that have exactly the 
same version appearing on the debian-devel-changes@ mailing list. But it 
won't react to newer packages. This is not the best solution. And it will 
be solved soon hopefully.

Cheers
 Christoph
-- 
When you do things right people won't be sure you've done anything at all.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Sep 2008 07:30:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:59:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.